# Constant Field Values

## Contents

- org.jcsp.*

## org.jcsp.*

org.jcsp.awt.ActiveApplet
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TIMEOUT_ACK`
`10000`
`public static final int`
`DESTROY`
`2`
`public static final int`
`START`
`1`
`public static final int`
`STOP`
`0`

org.jcsp.lang.AltingConnectionServerImpl
Modifier and Type
Constant Field
Value
`protected static final int`
`SERVER_STATE_CLOSED`
`1`
`protected static final int`
`SERVER_STATE_OPEN`
`2`
`protected static final int`
`SERVER_STATE_RECEIVED`
`3`
org.jcsp.lang.InlineAlternative
Modifier and Type
Constant Field
Value
`public static final int`
`MODE_ARBITRARY`
`0`
`public static final int`
`MODE_FAIR`
`1`
`public static final int`
`MODE_PRI`
`2`
org.jcsp.lang.ProcessManager
Modifier and Type
Constant Field
Value
`public static final int`
`PRIORITY_MAX`
`10`
`public static final int`
`PRIORITY_MIN`
`1`
`public static final int`
`PRIORITY_NORM`
`5`
org.jcsp.lang.SpuriousLog
Modifier and Type
Constant Field
Value
`public static final int`
`AlternativeSelect`
`32`
`public static final int`
`AlternativeSelectWithTimeout`
`33`
`public static final int`
`AltingBarrierCoordinateStartEnable`
`36`
`public static final int`
`Any2AnyChannelIntRead`
`24`
`public static final int`
`Any2AnyChannelIntWrite`
`25`
`public static final int`
`Any2AnyChannelIntXRead`
`26`
`public static final int`
`Any2AnyChannelIntXWrite`
`27`
`public static final int`
`Any2AnyChannelRead`
`28`
`public static final int`
`Any2AnyChannelWrite`
`29`
`public static final int`
`Any2AnyChannelXRead`
`30`
`public static final int`
`Any2AnyChannelXWrite`
`31`
`public static final int`
`Any2OneChannelIntRead`
`8`
`public static final int`
`Any2OneChannelIntWrite`
`9`
`public static final int`
`Any2OneChannelIntXRead`
`10`
`public static final int`
`Any2OneChannelIntXWrite`
`11`
`public static final int`
`Any2OneChannelRead`
`12`
`public static final int`
`Any2OneChannelWrite`
`13`
`public static final int`
`Any2OneChannelXRead`
`14`
`public static final int`
`Any2OneChannelXWrite`
`15`
`public static final int`
`BarrierSync`
`34`
`public static final int`
`BucketFallInto`
`35`
`public static final int`
`One2AnyChannelIntRead`
`16`
`public static final int`
`One2AnyChannelIntWrite`
`17`
`public static final int`
`One2AnyChannelIntXRead`
`18`
`public static final int`
`One2AnyChannelIntXWrite`
`19`
`public static final int`
`One2AnyChannelRead`
`20`
`public static final int`
`One2AnyChannelWrite`
`21`
`public static final int`
`One2AnyChannelXRead`
`22`
`public static final int`
`One2AnyChannelXWrite`
`23`
`public static final int`
`One2OneChannelIntRead`
`0`
`public static final int`
`One2OneChannelIntWrite`
`1`
`public static final int`
`One2OneChannelIntXRead`
`2`
`public static final int`
`One2OneChannelIntXWrite`
`3`
`public static final int`
`One2OneChannelRead`
`4`
`public static final int`
`One2OneChannelWrite`
`5`
`public static final int`
`One2OneChannelXRead`
`6`
`public static final int`
`One2OneChannelXWrite`
`7`
`public static final int`
`StopRun`
`37`

org.jcsp.util.ChannelDataStore
Modifier and Type
Constant Field
Value
`public static final int`
`EMPTY`
`0`
`public static final int`
`FULL`
`2`
`public static final int`
`NONEMPTYFULL`
`1`

org.jcsp.util.ints.ChannelDataStoreInt
Modifier and Type
Constant Field
Value
`public static final int`
`EMPTY`
`0`
`public static final int`
`FULL`
`2`
`public static final int`
`NONEMPTYFULL`
`1`